org.apache.calcite.avatica

## Class MetaImpl.MetaSuperType

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaSuperType

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaSuperType
    extends Object

Metadata describing a super-type.

### Field Summary

Fields
`String` `supertypeCat`
`String` `supertypeName`
`String` `supertypeSchem`
`String` `typeCat`
`String` `typeName`
`String` `typeSchem`

### Constructor Summary

Constructors
Constructor and Description
`MetaSuperType(String typeCat, String typeSchem, String typeName, String supertypeCat, String supertypeSchem, String supertypeName)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### typeCat

    public final String typeCat

#### typeSchem

    public final String typeSchem

#### typeName

    public final String typeName

#### supertypeCat

    public final String supertypeCat

#### supertypeSchem

    public final String supertypeSchem

#### supertypeName

    public final String supertypeName

### Constructor Detail

#### MetaSuperType

    public MetaSuperType(String typeCat,
                         String typeSchem,
                         String typeName,
                         String supertypeCat,
                         String supertypeSchem,
                         String supertypeName)